/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ejb;

import java.lang.reflect.Method;
import javax.ejb.EJBException;
import javax.ejb.EJBObject;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class EJBObjectMethod {
    public static final Method GetEJBHome;
    public static final Method GetHandle;
    public static final Method GetPrimaryKey;
    public static final Method IsIdentical;
    public static final Method Remove;

    static {
        try {
            Class ejbObjectClass = EJBObject.class;
            GetEJBHome = ejbObjectClass.getMethod("getEJBHome", null);
            GetHandle = ejbObjectClass.getMethod("getHandle", null);
            GetPrimaryKey = ejbObjectClass.getMethod("getPrimaryKey", null);
            IsIdentical = ejbObjectClass.getMethod("isIdentical", new Class[]{EJBObject.class});
            Remove = ejbObjectClass.getMethod("remove", null);
        }
        catch(Exception e) {
            e.printStackTrace();
            throw new EJBException(e);
        }
    };

    public static void main(String[] args) {

    }
}
